> For the complete documentation index, see [llms.txt](https://docs.chord.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chord.co/chord-oms/api-reference/subscriptions.md).

# Subscriptions

## List all subscriptions

> List all subscriptions

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"responses":{"unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/subscriptions":{"get":{"summary":"List all subscriptions","tags":["Subscriptions"],"responses":{"200":{"description":"OK"},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/not-found"}},"operationId":"get-subscriptions","description":"List all subscriptions"}}}}
```

## Retrieves a subscription

> Retrieves a subscription

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}}},"paths":{"/subscriptions/{id}":{"get":{"summary":"Retrieves a subscription","tags":["Subscriptions"],"responses":{"200":{"description":"OK"}},"operationId":"get-subscriptions-id","description":"Retrieves a subscription"}}}}
```

## List user subscriptions

> List a user's subscriptions

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"subscription":{"description":"","type":"object","title":"Subscription","properties":{"id":{"type":"number"},"state":{"type":"string","minLength":1},"created_at":{"type":"string","minLength":1},"actionable_date":{"type":"string","minLength":1},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"interval":{"type":"string","minLength":1},"end_date":{"type":"string","format":"date-time","nullable":true},"last_reminded_at":{"type":"string","format":"date-time","nullable":true},"bill_address":{"$ref":"#/components/schemas/address"},"ship_address":{"$ref":"#/components/schemas/address"},"line_items":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"reminders":{"type":"array","items":{"$ref":"#/components/schemas/reminder"}}}},"IntervalLength":{"type":"number","minimum":1,"description":"How many times a subscription should be fulfilled for a given\ninterval unit. Here are some examples.\n\n- Length = 1 and unit = `month` == once a month\n- Length = 2 and unit = `week` == every two weeks\n- Length = 1 and unit = `year` == once a year\n"},"IntervalUnit":{"type":"string","enum":["day","week","month","year"],"description":"The measurement of time applied to the interval unit of how often a\nsubscription is fulfilled.\n"},"address":{"type":"object","title":"Address","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"zipcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"country_id":{"type":"integer"},"country_iso":{"type":"string"},"phone":{"type":"string","nullable":true},"state":{"$ref":"#/components/schemas/state"},"state_id":{"type":"integer"},"state_name":{"type":"string"},"state_text":{"type":"string"}}},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abbr":{"type":"string"},"country_id":{"type":"integer"}},"title":"State"},"subscription-line-item":{"description":"","title":"Subscription line item","type":"object","properties":{"id":{"type":"number"},"_destroy":{"type":"boolean"},"quantity":{"type":"number"},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"interval":{"type":"string","minLength":1},"sku":{"type":"string","minLength":1},"product_slug":{"type":"string","minLength":1},"subscription_type":{"type":"string"},"variant_id":{"type":"number"},"product_id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"display_price":{"type":"string"},"options_text":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"one_time":{"type":"boolean","description":"Indicates this is a one-time addition to the next installment"},"one_time_replace":{"type":"boolean","description":"Indicates this item replaces an existing subscription item for one installment"},"replaces_subscribable_id":{"type":"number","description":"When one_time_replace is true, the variant_id of the item being replaced"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"reminder":{"description":"","title":"Subscription Reminder","type":"object","properties":{"reminder_type":{"type":"string","minLength":1},"sent_at":{"type":"string"},"created_at":{"type":"string"}}}},"responses":{"unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/users/{user_id}/subscriptions":{"get":{"summary":"List user subscriptions","tags":["Subscriptions"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"object","properties":{"subscriptions":{"type":"array","items":{"$ref":"#/components/schemas/subscription"}}}}}}},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/not-found"}},"operationId":"get-users-user_id-subscriptions","description":"List a user's subscriptions"}}}}
```

## POST /users/{user\_id}/subscriptions

> Create a subscription

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"subscription":{"description":"","type":"object","title":"Subscription","properties":{"id":{"type":"number"},"state":{"type":"string","minLength":1},"created_at":{"type":"string","minLength":1},"actionable_date":{"type":"string","minLength":1},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"interval":{"type":"string","minLength":1},"end_date":{"type":"string","format":"date-time","nullable":true},"last_reminded_at":{"type":"string","format":"date-time","nullable":true},"bill_address":{"$ref":"#/components/schemas/address"},"ship_address":{"$ref":"#/components/schemas/address"},"line_items":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"reminders":{"type":"array","items":{"$ref":"#/components/schemas/reminder"}}}},"IntervalLength":{"type":"number","minimum":1,"description":"How many times a subscription should be fulfilled for a given\ninterval unit. Here are some examples.\n\n- Length = 1 and unit = `month` == once a month\n- Length = 2 and unit = `week` == every two weeks\n- Length = 1 and unit = `year` == once a year\n"},"IntervalUnit":{"type":"string","enum":["day","week","month","year"],"description":"The measurement of time applied to the interval unit of how often a\nsubscription is fulfilled.\n"},"address":{"type":"object","title":"Address","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"zipcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"country_id":{"type":"integer"},"country_iso":{"type":"string"},"phone":{"type":"string","nullable":true},"state":{"$ref":"#/components/schemas/state"},"state_id":{"type":"integer"},"state_name":{"type":"string"},"state_text":{"type":"string"}}},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abbr":{"type":"string"},"country_id":{"type":"integer"}},"title":"State"},"subscription-line-item":{"description":"","title":"Subscription line item","type":"object","properties":{"id":{"type":"number"},"_destroy":{"type":"boolean"},"quantity":{"type":"number"},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"interval":{"type":"string","minLength":1},"sku":{"type":"string","minLength":1},"product_slug":{"type":"string","minLength":1},"subscription_type":{"type":"string"},"variant_id":{"type":"number"},"product_id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"display_price":{"type":"string"},"options_text":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"one_time":{"type":"boolean","description":"Indicates this is a one-time addition to the next installment"},"one_time_replace":{"type":"boolean","description":"Indicates this item replaces an existing subscription item for one installment"},"replaces_subscribable_id":{"type":"number","description":"When one_time_replace is true, the variant_id of the item being replaced"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"reminder":{"description":"","title":"Subscription Reminder","type":"object","properties":{"reminder_type":{"type":"string","minLength":1},"sent_at":{"type":"string"},"created_at":{"type":"string"}}}},"responses":{"unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/users/{user_id}/subscriptions":{"post":{"summary":"Create a subscription","tags":["Subscriptions"],"operationId":"post-users-user_id-subscriptions","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription"}}}},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Get subscription

> Retrieves a subscription.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"subscription":{"description":"","type":"object","title":"Subscription","properties":{"id":{"type":"number"},"state":{"type":"string","minLength":1},"created_at":{"type":"string","minLength":1},"actionable_date":{"type":"string","minLength":1},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"interval":{"type":"string","minLength":1},"end_date":{"type":"string","format":"date-time","nullable":true},"last_reminded_at":{"type":"string","format":"date-time","nullable":true},"bill_address":{"$ref":"#/components/schemas/address"},"ship_address":{"$ref":"#/components/schemas/address"},"line_items":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"reminders":{"type":"array","items":{"$ref":"#/components/schemas/reminder"}}}},"IntervalLength":{"type":"number","minimum":1,"description":"How many times a subscription should be fulfilled for a given\ninterval unit. Here are some examples.\n\n- Length = 1 and unit = `month` == once a month\n- Length = 2 and unit = `week` == every two weeks\n- Length = 1 and unit = `year` == once a year\n"},"IntervalUnit":{"type":"string","enum":["day","week","month","year"],"description":"The measurement of time applied to the interval unit of how often a\nsubscription is fulfilled.\n"},"address":{"type":"object","title":"Address","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"zipcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"country_id":{"type":"integer"},"country_iso":{"type":"string"},"phone":{"type":"string","nullable":true},"state":{"$ref":"#/components/schemas/state"},"state_id":{"type":"integer"},"state_name":{"type":"string"},"state_text":{"type":"string"}}},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abbr":{"type":"string"},"country_id":{"type":"integer"}},"title":"State"},"subscription-line-item":{"description":"","title":"Subscription line item","type":"object","properties":{"id":{"type":"number"},"_destroy":{"type":"boolean"},"quantity":{"type":"number"},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"interval":{"type":"string","minLength":1},"sku":{"type":"string","minLength":1},"product_slug":{"type":"string","minLength":1},"subscription_type":{"type":"string"},"variant_id":{"type":"number"},"product_id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"display_price":{"type":"string"},"options_text":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"one_time":{"type":"boolean","description":"Indicates this is a one-time addition to the next installment"},"one_time_replace":{"type":"boolean","description":"Indicates this item replaces an existing subscription item for one installment"},"replaces_subscribable_id":{"type":"number","description":"When one_time_replace is true, the variant_id of the item being replaced"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"reminder":{"description":"","title":"Subscription Reminder","type":"object","properties":{"reminder_type":{"type":"string","minLength":1},"sent_at":{"type":"string"},"created_at":{"type":"string"}}}},"responses":{"unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/users/{user_id}/subscriptions/{id}":{"get":{"summary":"Get subscription","tags":["Subscriptions"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription"}}}},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/not-found"}},"operationId":"get-users-user_id-subscriptions-id","description":"Retrieves a subscription."}}}}
```

## Update subscription

> Updates a subscription.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"subscription":{"description":"","type":"object","title":"Subscription","properties":{"id":{"type":"number"},"state":{"type":"string","minLength":1},"created_at":{"type":"string","minLength":1},"actionable_date":{"type":"string","minLength":1},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"interval":{"type":"string","minLength":1},"end_date":{"type":"string","format":"date-time","nullable":true},"last_reminded_at":{"type":"string","format":"date-time","nullable":true},"bill_address":{"$ref":"#/components/schemas/address"},"ship_address":{"$ref":"#/components/schemas/address"},"line_items":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"reminders":{"type":"array","items":{"$ref":"#/components/schemas/reminder"}}}},"IntervalLength":{"type":"number","minimum":1,"description":"How many times a subscription should be fulfilled for a given\ninterval unit. Here are some examples.\n\n- Length = 1 and unit = `month` == once a month\n- Length = 2 and unit = `week` == every two weeks\n- Length = 1 and unit = `year` == once a year\n"},"IntervalUnit":{"type":"string","enum":["day","week","month","year"],"description":"The measurement of time applied to the interval unit of how often a\nsubscription is fulfilled.\n"},"address":{"type":"object","title":"Address","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"zipcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"country_id":{"type":"integer"},"country_iso":{"type":"string"},"phone":{"type":"string","nullable":true},"state":{"$ref":"#/components/schemas/state"},"state_id":{"type":"integer"},"state_name":{"type":"string"},"state_text":{"type":"string"}}},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abbr":{"type":"string"},"country_id":{"type":"integer"}},"title":"State"},"subscription-line-item":{"description":"","title":"Subscription line item","type":"object","properties":{"id":{"type":"number"},"_destroy":{"type":"boolean"},"quantity":{"type":"number"},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"interval":{"type":"string","minLength":1},"sku":{"type":"string","minLength":1},"product_slug":{"type":"string","minLength":1},"subscription_type":{"type":"string"},"variant_id":{"type":"number"},"product_id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"display_price":{"type":"string"},"options_text":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"one_time":{"type":"boolean","description":"Indicates this is a one-time addition to the next installment"},"one_time_replace":{"type":"boolean","description":"Indicates this item replaces an existing subscription item for one installment"},"replaces_subscribable_id":{"type":"number","description":"When one_time_replace is true, the variant_id of the item being replaced"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"reminder":{"description":"","title":"Subscription Reminder","type":"object","properties":{"reminder_type":{"type":"string","minLength":1},"sent_at":{"type":"string"},"created_at":{"type":"string"}}},"subscription-input":{"title":"Subscription input","type":"object","description":"","properties":{"actionable_date":{"type":"string","format":"date-time","nullable":true},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"ship_address_attributes":{"$ref":"#/components/schemas/address-input"},"bill_address_attributes":{"$ref":"#/components/schemas/address-input"},"line_items_attributes":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"payment_source_attributes":{"type":"object","properties":{"payment_method_type":{"type":"string"},"nonce":{"type":"string"},"cc_type":{"type":"string"},"last_digits":{"type":"string"},"month":{"type":"string"},"year":{"type":"string"},"name":{"type":"string"},"gateway_payment_profile_id":{"type":"string"}}}}},"address-input":{"type":"object","title":"Address Input","required":["address1","city"],"properties":{"name":{"type":"string","description":"The full name of the user. You must provide this field OR one of OR both of `firstname` and `lastname` for\nthe payload to be valid.\n\nThis field will override `firstname` and `lastname` if both are provided.\n"},"firstname":{"type":"string","description":"The first name of the user. This field will be ignored if `name` is provided.\n"},"lastname":{"type":"string","description":"The last name of the user. This field will be ignored if `name` is provided.\n"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"state_name":{"type":"string","description":"Either the name of the state (\"New York\") or it's abbreviation (\"NY\").\n\nThis field (or `state_id`) is required if [`/api/countries/{country_id}/states`](#/paths/list-country-states)\nreturns `\"states_required\": true` in it's body.\n"},"state_id":{"type":"integer","description":"This ID can be found by calling [`/api/countries/{country_id}/states`](#/paths/list-country-states).\n\nThis field (or `state_name`) is required if the above endpoint returns `\"states_required\": true`.\n"},"country_id":{"type":"integer","description":"This ID can be found by calling [`/api/countries`](#/paths/list-countries). Either `country_id` OR `country_iso`\nmust be provided for this payload to be valid.\n"},"country_iso":{"type":"string","description":"The [ISO 3166-1 Alpha-2 country code](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes) that the\nuser resides in. This list can be fetched from [`/api/countries`](#/paths/list-countries), where the key is\n`iso`.\n\nThis field OR `country_id` must be provided for this payload to be valid.\n"},"zipcode":{"type":"string","nullable":true,"description":"This field is required if the country requires a ZIP code, like the United States (`233`).\n"},"phone":{"type":"string","nullable":true},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true}}}},"responses":{"unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/users/{user_id}/subscriptions/{id}":{"patch":{"summary":"Update subscription","tags":["Subscriptions"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription"}}}},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/not-found"}},"operationId":"patch-users-user_id-subscriptions-id","description":"Updates a subscription.","requestBody":{"required":true,"description":"Please see request body examples on how to update a subscription payment for Square and Stripe","content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription-input"}}}}}}}}
```

## Skip a subscription

> Moves to subsciption's renewable date one period in the future.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"subscription":{"description":"","type":"object","title":"Subscription","properties":{"id":{"type":"number"},"state":{"type":"string","minLength":1},"created_at":{"type":"string","minLength":1},"actionable_date":{"type":"string","minLength":1},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"interval":{"type":"string","minLength":1},"end_date":{"type":"string","format":"date-time","nullable":true},"last_reminded_at":{"type":"string","format":"date-time","nullable":true},"bill_address":{"$ref":"#/components/schemas/address"},"ship_address":{"$ref":"#/components/schemas/address"},"line_items":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"reminders":{"type":"array","items":{"$ref":"#/components/schemas/reminder"}}}},"IntervalLength":{"type":"number","minimum":1,"description":"How many times a subscription should be fulfilled for a given\ninterval unit. Here are some examples.\n\n- Length = 1 and unit = `month` == once a month\n- Length = 2 and unit = `week` == every two weeks\n- Length = 1 and unit = `year` == once a year\n"},"IntervalUnit":{"type":"string","enum":["day","week","month","year"],"description":"The measurement of time applied to the interval unit of how often a\nsubscription is fulfilled.\n"},"address":{"type":"object","title":"Address","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"zipcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"country_id":{"type":"integer"},"country_iso":{"type":"string"},"phone":{"type":"string","nullable":true},"state":{"$ref":"#/components/schemas/state"},"state_id":{"type":"integer"},"state_name":{"type":"string"},"state_text":{"type":"string"}}},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abbr":{"type":"string"},"country_id":{"type":"integer"}},"title":"State"},"subscription-line-item":{"description":"","title":"Subscription line item","type":"object","properties":{"id":{"type":"number"},"_destroy":{"type":"boolean"},"quantity":{"type":"number"},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"interval":{"type":"string","minLength":1},"sku":{"type":"string","minLength":1},"product_slug":{"type":"string","minLength":1},"subscription_type":{"type":"string"},"variant_id":{"type":"number"},"product_id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"display_price":{"type":"string"},"options_text":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"one_time":{"type":"boolean","description":"Indicates this is a one-time addition to the next installment"},"one_time_replace":{"type":"boolean","description":"Indicates this item replaces an existing subscription item for one installment"},"replaces_subscribable_id":{"type":"number","description":"When one_time_replace is true, the variant_id of the item being replaced"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"reminder":{"description":"","title":"Subscription Reminder","type":"object","properties":{"reminder_type":{"type":"string","minLength":1},"sent_at":{"type":"string"},"created_at":{"type":"string"}}}}},"paths":{"/users/{user_id}/subscriptions/{id}/skip":{"post":{"summary":"Skip a subscription","tags":["Subscriptions"],"operationId":"post-users-user_id-subscriptions-id-skip","description":"Moves to subsciption's renewable date one period in the future.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription"}}}}}}}}}
```

## Cancel a subscription

> Makes a subscription inactive. The subscription won't be automatically renewed anymore.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"subscription":{"description":"","type":"object","title":"Subscription","properties":{"id":{"type":"number"},"state":{"type":"string","minLength":1},"created_at":{"type":"string","minLength":1},"actionable_date":{"type":"string","minLength":1},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"interval":{"type":"string","minLength":1},"end_date":{"type":"string","format":"date-time","nullable":true},"last_reminded_at":{"type":"string","format":"date-time","nullable":true},"bill_address":{"$ref":"#/components/schemas/address"},"ship_address":{"$ref":"#/components/schemas/address"},"line_items":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"reminders":{"type":"array","items":{"$ref":"#/components/schemas/reminder"}}}},"IntervalLength":{"type":"number","minimum":1,"description":"How many times a subscription should be fulfilled for a given\ninterval unit. Here are some examples.\n\n- Length = 1 and unit = `month` == once a month\n- Length = 2 and unit = `week` == every two weeks\n- Length = 1 and unit = `year` == once a year\n"},"IntervalUnit":{"type":"string","enum":["day","week","month","year"],"description":"The measurement of time applied to the interval unit of how often a\nsubscription is fulfilled.\n"},"address":{"type":"object","title":"Address","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"zipcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"country_id":{"type":"integer"},"country_iso":{"type":"string"},"phone":{"type":"string","nullable":true},"state":{"$ref":"#/components/schemas/state"},"state_id":{"type":"integer"},"state_name":{"type":"string"},"state_text":{"type":"string"}}},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abbr":{"type":"string"},"country_id":{"type":"integer"}},"title":"State"},"subscription-line-item":{"description":"","title":"Subscription line item","type":"object","properties":{"id":{"type":"number"},"_destroy":{"type":"boolean"},"quantity":{"type":"number"},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"interval":{"type":"string","minLength":1},"sku":{"type":"string","minLength":1},"product_slug":{"type":"string","minLength":1},"subscription_type":{"type":"string"},"variant_id":{"type":"number"},"product_id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"display_price":{"type":"string"},"options_text":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"one_time":{"type":"boolean","description":"Indicates this is a one-time addition to the next installment"},"one_time_replace":{"type":"boolean","description":"Indicates this item replaces an existing subscription item for one installment"},"replaces_subscribable_id":{"type":"number","description":"When one_time_replace is true, the variant_id of the item being replaced"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"reminder":{"description":"","title":"Subscription Reminder","type":"object","properties":{"reminder_type":{"type":"string","minLength":1},"sent_at":{"type":"string"},"created_at":{"type":"string"}}}},"responses":{"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/users/{user_id}/subscriptions/{id}/cancel":{"post":{"summary":"Cancel a subscription","tags":["Subscriptions"],"operationId":"post-users-user_id-subscriptions-id-cancel","description":"Makes a subscription inactive. The subscription won't be automatically renewed anymore.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription"}}}},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Pause a subscription

> Pauses a subscription. OMS will not generate installments while the subscription is paused, but will remain listed as \`active\`.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"subscription":{"description":"","type":"object","title":"Subscription","properties":{"id":{"type":"number"},"state":{"type":"string","minLength":1},"created_at":{"type":"string","minLength":1},"actionable_date":{"type":"string","minLength":1},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"interval":{"type":"string","minLength":1},"end_date":{"type":"string","format":"date-time","nullable":true},"last_reminded_at":{"type":"string","format":"date-time","nullable":true},"bill_address":{"$ref":"#/components/schemas/address"},"ship_address":{"$ref":"#/components/schemas/address"},"line_items":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"reminders":{"type":"array","items":{"$ref":"#/components/schemas/reminder"}}}},"IntervalLength":{"type":"number","minimum":1,"description":"How many times a subscription should be fulfilled for a given\ninterval unit. Here are some examples.\n\n- Length = 1 and unit = `month` == once a month\n- Length = 2 and unit = `week` == every two weeks\n- Length = 1 and unit = `year` == once a year\n"},"IntervalUnit":{"type":"string","enum":["day","week","month","year"],"description":"The measurement of time applied to the interval unit of how often a\nsubscription is fulfilled.\n"},"address":{"type":"object","title":"Address","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"zipcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"country_id":{"type":"integer"},"country_iso":{"type":"string"},"phone":{"type":"string","nullable":true},"state":{"$ref":"#/components/schemas/state"},"state_id":{"type":"integer"},"state_name":{"type":"string"},"state_text":{"type":"string"}}},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abbr":{"type":"string"},"country_id":{"type":"integer"}},"title":"State"},"subscription-line-item":{"description":"","title":"Subscription line item","type":"object","properties":{"id":{"type":"number"},"_destroy":{"type":"boolean"},"quantity":{"type":"number"},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"interval":{"type":"string","minLength":1},"sku":{"type":"string","minLength":1},"product_slug":{"type":"string","minLength":1},"subscription_type":{"type":"string"},"variant_id":{"type":"number"},"product_id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"display_price":{"type":"string"},"options_text":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"one_time":{"type":"boolean","description":"Indicates this is a one-time addition to the next installment"},"one_time_replace":{"type":"boolean","description":"Indicates this item replaces an existing subscription item for one installment"},"replaces_subscribable_id":{"type":"number","description":"When one_time_replace is true, the variant_id of the item being replaced"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"reminder":{"description":"","title":"Subscription Reminder","type":"object","properties":{"reminder_type":{"type":"string","minLength":1},"sent_at":{"type":"string"},"created_at":{"type":"string"}}}},"responses":{"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/users/{user_id}/subscriptions/{id}/pause":{"post":{"summary":"Pause a subscription","tags":["Subscriptions"],"operationId":"post-users-user_id-subscriptions-id-pause","description":"Pauses a subscription. OMS will not generate installments while the subscription is paused, but will remain listed as `active`.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription"}}}},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## Resumes a paused subscription.

> Resumes a paused subscription.

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"subscription":{"description":"","type":"object","title":"Subscription","properties":{"id":{"type":"number"},"state":{"type":"string","minLength":1},"created_at":{"type":"string","minLength":1},"actionable_date":{"type":"string","minLength":1},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"interval":{"type":"string","minLength":1},"end_date":{"type":"string","format":"date-time","nullable":true},"last_reminded_at":{"type":"string","format":"date-time","nullable":true},"bill_address":{"$ref":"#/components/schemas/address"},"ship_address":{"$ref":"#/components/schemas/address"},"line_items":{"type":"array","uniqueItems":true,"minItems":1,"items":{"$ref":"#/components/schemas/subscription-line-item"}},"reminders":{"type":"array","items":{"$ref":"#/components/schemas/reminder"}}}},"IntervalLength":{"type":"number","minimum":1,"description":"How many times a subscription should be fulfilled for a given\ninterval unit. Here are some examples.\n\n- Length = 1 and unit = `month` == once a month\n- Length = 2 and unit = `week` == every two weeks\n- Length = 1 and unit = `year` == once a year\n"},"IntervalUnit":{"type":"string","enum":["day","week","month","year"],"description":"The measurement of time applied to the interval unit of how often a\nsubscription is fulfilled.\n"},"address":{"type":"object","title":"Address","properties":{"id":{"type":"integer"},"name":{"type":"string"},"address1":{"type":"string"},"address2":{"type":"string","nullable":true},"city":{"type":"string"},"zipcode":{"type":"string"},"country":{"$ref":"#/components/schemas/country"},"alternative_phone":{"type":"string","nullable":true},"company":{"type":"string","nullable":true},"country_id":{"type":"integer"},"country_iso":{"type":"string"},"phone":{"type":"string","nullable":true},"state":{"$ref":"#/components/schemas/state"},"state_id":{"type":"integer"},"state_name":{"type":"string"},"state_text":{"type":"string"}}},"country":{"type":"object","properties":{"id":{"type":"integer"},"iso":{"type":"string"},"iso3":{"type":"string"},"iso_name":{"type":"string"},"name":{"type":"string"},"numcode":{"type":"integer"}},"title":"Country"},"state":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"abbr":{"type":"string"},"country_id":{"type":"integer"}},"title":"State"},"subscription-line-item":{"description":"","title":"Subscription line item","type":"object","properties":{"id":{"type":"number"},"_destroy":{"type":"boolean"},"quantity":{"type":"number"},"interval_length":{"$ref":"#/components/schemas/IntervalLength"},"interval_units":{"$ref":"#/components/schemas/IntervalUnit"},"end_date":{"type":"string"},"interval":{"type":"string","minLength":1},"sku":{"type":"string","minLength":1},"product_slug":{"type":"string","minLength":1},"subscription_type":{"type":"string"},"variant_id":{"type":"number"},"product_id":{"type":"number"},"name":{"type":"string"},"description":{"type":"string"},"price":{"type":"string"},"display_price":{"type":"string"},"options_text":{"type":"string"},"images":{"type":"array","items":{"$ref":"#/components/schemas/image"}},"one_time":{"type":"boolean","description":"Indicates this is a one-time addition to the next installment"},"one_time_replace":{"type":"boolean","description":"Indicates this item replaces an existing subscription item for one installment"},"replaces_subscribable_id":{"type":"number","description":"When one_time_replace is true, the variant_id of the item being replaced"}}},"image":{"type":"object","properties":{"alt":{"type":"string"},"attachment_content_type":{"type":"string"},"attachment_file_name":{"type":"string"},"attachment_height":{"type":"integer"},"attachment_updated_at":{"type":"string"},"attachment_width":{"type":"integer"},"id":{"type":"integer"},"large_url":{"type":"string"},"mini_url":{"type":"string"},"position":{"type":"integer"},"product_url":{"type":"string"},"small_url":{"type":"string"},"type":{"type":"string"},"viewable_id":{"type":"integer"},"viewable_type":{"type":"string"}},"title":"Image"},"reminder":{"description":"","title":"Subscription Reminder","type":"object","properties":{"reminder_type":{"type":"string","minLength":1},"sent_at":{"type":"string"},"created_at":{"type":"string"}}}},"responses":{"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/users/{user_id}/subscriptions/{id}/resume":{"post":{"summary":"Resumes a paused subscription.","tags":["Subscriptions"],"operationId":"post-users-user_id-subscriptions-id-resume","description":"Resumes a paused subscription.","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/subscription"}}}},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```

## POST /users/{user\_id}/subscriptions/{subscription\_id}/installments

> Create and process an installment for the subscription

```json
{"openapi":"3.0.0","info":{"title":"OMS API","version":"1.1"},"tags":[{"name":"Installments"},{"name":"Subscriptions"}],"servers":[{"url":"https://{host}/api","description":"Chord OMS instance","variables":{"host":{"default":"plant-staging.assembly-api.com","description":"Your tenant host, as configured in Chord OMS. The default is a Chord staging sandbox: replace it with your own host before making real requests."}}}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"http","scheme":"bearer","description":"This is an admin level API token used for priviliged storefront\noperations. This should never be used in public contexts.\n"}},"schemas":{"installment":{"title":"Installment","type":"object","description":"","properties":{"id":{"type":"integer"},"subscription_id":{"type":"integer"},"actionable_date":{"type":"string","format":"date-time"},"created_at":{"type":"string","format":"date-time"}}}},"responses":{"unauthorized":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}},"not-found":{"description":"Resource is not found","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"string"}}}}}}}},"paths":{"/users/{user_id}/subscriptions/{subscription_id}/installments":{"post":{"summary":"Create and process an installment for the subscription","tags":["Subscriptions","Installments"],"operationId":"post-users-user_id-subscriptions-subscription_id-installments","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/installment"}}}},"401":{"$ref":"#/components/responses/unauthorized"},"404":{"$ref":"#/components/responses/not-found"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chord.co/chord-oms/api-reference/subscriptions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
